CEL: Crystal Entity Layer: iInventoryQuestRewardFactory Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iInventoryQuestRewardFactory Struct Reference

This interface is implemented by the reward that manipulates the inventory. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions
virtual void | SetChildEntityParameter (const char *entity, const char *tag=0)=0
| Set the name of the entity that will be put in or out the inventory.
virtual void | SetEntityParameter (const char *entity, const char *tag=0)=0
| Set the name of the entity containing the pcinventory property class on which this reward will work.

## Detailed Description

This interface is implemented by the reward that manipulates the inventory.

You can query this interface from the reward factory if you want to manually control this factory as opposed to loading its definition from an XML document.

The predefined name of this reward type is 'cel.questreward.inventory'.

In XML, factories recognize the following attributes on the 'reward' node:

- entity: the name of the entity containing the pcinventory property class.
- entity_tag: optional tag used to find the right property class from the entity.
- child_entity: the name of the entity that will be added to or removed from the inventory.
- child_entity_tag: optional tag used to find the right property class from the entity. This will be used to find the pcmesh for hiding the mesh.

Definition at line 1405 of file questmanager.h.

## Member Function Documentation

virtual void iInventoryQuestRewardFactory::SetChildEntityParameter | ( | const char * | entity,
|  | const char * | tag = `0` |
| ) |  |  | `[pure virtual]`

Set the name of the entity that will be put in or out the inventory.

Parameters:

  | entity | is the name of the entity or a parameter (starts with '$').

virtual void iInventoryQuestRewardFactory::SetEntityParameter | ( | const char * | entity,
|  | const char * | tag = `0` |
| ) |  |  | `[pure virtual]`

Set the name of the entity containing the pcinventory property class on which this reward will work.

Parameters:

  | entity | is the name of the entity or a parameter (starts with '$').
  | tag | is the optional tag of the entity or a parameter (starts with '$').

The documentation for this struct was generated from the following file:

- tools/questmanager.h